build: Move socket_wrapper to third_party
[metze/samba/wip.git] / buildtools / wafsamba / samba_third_party.py
1 # functions to support third party libraries
2
3 import os
4 import Utils, Build
5 from Configure import conf
6
7 @conf
8 def CHECK_FOR_THIRD_PARTY(conf):
9     return os.path.exists(os.path.join(Utils.g_module.srcdir, 'third_party'))
10
11 Build.BuildContext.CHECK_FOR_THIRD_PARTY = CHECK_FOR_THIRD_PARTY
12
13 @conf
14 def CHECK_ZLIB(conf):
15     version_check='''
16     #if (ZLIB_VERNUM >= 0x1230)
17     #else
18     #error "ZLIB_VERNUM < 0x1230"
19     #endif
20     z_stream *z;
21     inflateInit2(z, -15);
22     '''
23     return conf.CHECK_BUNDLED_SYSTEM('z', minversion='1.2.3', pkg='zlib',
24                                      checkfunctions='zlibVersion',
25                                      headers='zlib.h',
26                                      checkcode=version_check,
27                                      implied_deps='replace')
28
29 Build.BuildContext.CHECK_ZLIB = CHECK_ZLIB
30
31 @conf
32 def CHECK_POPT(conf):
33     return conf.CHECK_BUNDLED_SYSTEM('popt', checkfunctions='poptGetContext', headers='popt.h')
34
35 Build.BuildContext.CHECK_POPT = CHECK_POPT
36
37 @conf
38 def CHECK_CMOCKA(conf):
39     return conf.CHECK_BUNDLED_SYSTEM_PKG('cmocka', minversion='1.1.1')
40
41 Build.BuildContext.CHECK_CMOCKA = CHECK_CMOCKA
42
43 @conf
44 def CHECK_SOCKET_WRAPPER(conf):
45     return conf.CHECK_BUNDLED_SYSTEM_PKG('socket_wrapper', minversion='1.1.7')
46 Build.BuildContext.CHECK_SOCKET_WRAPPER = CHECK_SOCKET_WRAPPER